## ros-dashing-image-rotate 2.1.1

=== debian/changelog ===
ros-dashing-image-rotate (2.1.1-1bionic) bionic; urgency=high

  * [Dashing] Use ament_auto Macros (#573 <https://github.com/ros-perception/image_pipeline/issues/573>) (#575 <https://github.com/ros-perception/image_pipeline/issues/575>)
  * Contributors: Joshua Whitley

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 27 Aug 2020 05:00:00 -0000

ros-dashing-image-rotate (2.1.0-1bionic) bionic; urgency=high

  * cleanup any last reference to nodelets & register image publisher as a component (#473 <https://github.com/ros-perception/image_pipeline/issues/473>)
  * Merge pull request #470 <https://github.com/ros-perception/image_pipeline/issues/470> from ros-perception/crop_ros2
  * fix linter and adding components dependencies to packages requiring them
  * Fixed double free crash, removed deprecation warnings. (#453 <https://github.com/ros-perception/image_pipeline/issues/453>)
    * Fixed double free crash, removed deprecation warnings.
    Also removed deprecation warnings by changing to the new ROS2 API functions.
  * Merge pull request #426 <https://github.com/ros-perception/image_pipeline/issues/426> from klintan/image-proc-dashing
  * Merge pull request #425 <https://github.com/ros-perception/image_pipeline/issues/425> from klintan/ros2
    Dashing: Adapted for Dashing
  * Merge pull request #385 <https://github.com/ros-perception/image_pipeline/issues/385> from yechun1/ros2_image_rotate
    port image_rotate on ros2
  * rename filename and strings from nodelet to node
    Nodelet is probably not the correct designation for this anymore since there is no longer a concept of a "nodelet" in ROS2, use "_node" instead.
  * update package.xml and cmakelist for readable
  * modify code to follow ros2 coding style
  * port image_rotate on ros2
  * Initial ROS2 commit.
  * Contributors: Andreas Klintberg, Chris Ye, Joshua Whitley, Luca Della Vedova, Michael Carroll, Ryohei Ueda, Steven Macenski, Yoshito Okada, stevemacenski

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 27 Jul 2020 05:00:00 -0000

ros-dashing-image-rotate (1.12.23-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 10 May 2018 05:00:00 -0000

ros-dashing-image-rotate (1.12.22-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 08 Dec 2017 06:00:00 -0000

ros-dashing-image-rotate (1.12.21-1bionic) bionic; urgency=high

  * [image_rotate] Added TF timeout so that transforms only need to be newer than last frame. (#293 <https://github.com/ros-perception/image_pipeline/issues/293>)
  * Contributors: mhosmar-cpr

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 05 Nov 2017 05:00:00 -0000

ros-dashing-image-rotate (1.12.20-1bionic) bionic; urgency=high

  * Fix CMake warnings about Eigen.
  * address gcc6 build error
    With gcc6, compiling fails with stdlib.h: No such file or directory,
    as including '-isystem /usr/include' breaks with gcc6, cf.,
    https://gcc.gnu.org/bugzilla/show_bug.cgi?id=70129.
    This commit addresses this issue for this package in the same way
    it was addressed in various other ROS packages. A list of related
    commits and pull requests is at:
    https://github.com/ros/rosdistro/issues/12783
    Signed-off-by: Lukas Bulwahn <mailto:lukas.bulwahn@oss.bmw-carit.de>
  * Contributors: Lukas Bulwahn, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 30 Apr 2017 05:00:00 -0000

ros-dashing-image-rotate (1.12.19-1bionic) bionic; urgency=high

  * Fix frames if it is empty to rotate image
  * Contributors: Kentaro Wada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 24 Jul 2016 05:00:00 -0000

ros-dashing-image-rotate (1.12.18-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 12 Jul 2016 05:00:00 -0000

ros-dashing-image-rotate (1.12.17-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 11 Jul 2016 05:00:00 -0000

ros-dashing-image-rotate (1.12.16-1bionic) bionic; urgency=high

  * clean OpenCV dependency in package.xml
  * Contributors: Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 19 Mar 2016 05:00:00 -0000

ros-dashing-image-rotate (1.12.15-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 17 Jan 2016 06:00:00 -0000

ros-dashing-image-rotate (1.12.14-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 22 Jul 2015 05:00:00 -0000

ros-dashing-image-rotate (1.12.13-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 06 Apr 2015 05:00:00 -0000

ros-dashing-image-rotate (1.12.12-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 31 Dec 2014 06:00:00 -0000

ros-dashing-image-rotate (1.12.11-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 26 Oct 2014 05:00:00 -0000

ros-dashing-image-rotate (1.12.10-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 28 Sep 2014 05:00:00 -0000

ros-dashing-image-rotate (1.12.9-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 21 Sep 2014 05:00:00 -0000

ros-dashing-image-rotate (1.12.8-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 19 Aug 2014 05:00:00 -0000

ros-dashing-image-rotate (1.12.6-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 27 Jul 2014 05:00:00 -0000

ros-dashing-image-rotate (1.12.4-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 28 Apr 2014 05:00:00 -0000

ros-dashing-image-rotate (1.12.3-1bionic) bionic; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 12 Apr 2014 05:00:00 -0000

ros-dashing-image-rotate (1.12.2-1bionic) bionic; urgency=high

  * use NODELET_** macros instead of ROS_** macros
  * use getNodeHandle rather than getPrivateNodeHandle

